net.sourceforge.pmd.lang.rule.stat

## Class StatisticalRuleHelper

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.stat.StatisticalRuleHelper

    public class StatisticalRuleHelper
    extends Object

This class is used to implement the core logic of a StatisticalRule. Concrete Rule implementations should delegate to an instance of this class.

Author:
  David Dixon-Peugh Aug 8, 2002 StatisticalRule.java

### Field Summary

Fields
`static double` `DELTA`

### Constructor Summary

Constructors
Constructor and Description
`StatisticalRuleHelper(AbstractRule rule)`

### Method Summary

Methods
`void` `addDataPoint(DataPoint point)`
`void` `apply(RuleContext ctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DELTA

    public static final double DELTA

See Also:
  Constant Field Values

### Constructor Detail

#### StatisticalRuleHelper

    public StatisticalRuleHelper(AbstractRule rule)

### Method Detail

#### addDataPoint

    public void addDataPoint(DataPoint point)

#### apply

    public void apply(RuleContext ctx)